Package com.complexible.stardog.spatial

# Class Geosparql

java.lang.Object
com.complexible.stardog.spatial.Geosparql

public final class Geosparql extends Object

Since:
  4.0
Author:
  Michael Grove

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `Geosparql.Functions`
  `static final class`
  `Geosparql.ServiceVocabulary`
  `static enum`
  `Geosparql.SPATIAL_FUNCTIONS`
  `static final class`
  `Geosparql.Units`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `asGML`
  `static final IRI`
  `asWKT`
  `static final IRI`
  `contains`
  `static final IRI`
  `disjoint`
  `static final IRI`
  `equals`
  `static final IRI`
  `Feature`
  `static final IRI`
  `Geometry`
  `static final IRI`
  `gmlLiteral`
  `static final IRI`
  `hasDefaultGeometry`
  `static final IRI`
  `hasGeometry`
  `static final IRI`
  `intersects`
  `static final String`
  `NS_GEO`
  `static final String`
  `NS_GEO_FUNCTIONS`
  `static final String`
  `NS_GEO_RULE`
  `static final String`
  `NS_GML`
  `static final String`
  `NS_OGC`
  `static final String`
  `NS_SF`
  `static final String`
  `NS_UNITS`
  `static final IRI`
  `SpatialObject`
  `static final String`
  `WGS84`
  `static final IRI`
  `within`
  `static final IRI`
  `wktLiteral`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Geosparql()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NS_OGC

    public static final String NS_OGC
    See Also:
      - Constant Field Values

  - ### WGS84

    public static final String WGS84
    See Also:
      - Constant Field Values

  - ### NS_GEO

    public static final String NS_GEO
    See Also:
      - Constant Field Values

  - ### NS_GEO_FUNCTIONS

    public static final String NS_GEO_FUNCTIONS
    See Also:
      - Constant Field Values

  - ### NS_GEO_RULE

    public static final String NS_GEO_RULE
    See Also:
      - Constant Field Values

  - ### NS_SF

    public static final String NS_SF
    See Also:
      - Constant Field Values

  - ### NS_GML

    public static final String NS_GML
    See Also:
      - Constant Field Values

  - ### NS_UNITS

    public static final String NS_UNITS
    See Also:
      - Constant Field Values

  - ### SpatialObject

    public static final IRI SpatialObject

  - ### Feature

    public static final IRI Feature

  - ### Geometry

    public static final IRI Geometry

  - ### hasGeometry

    public static final IRI hasGeometry

  - ### hasDefaultGeometry

    public static final IRI hasDefaultGeometry

  - ### asWKT

    public static final IRI asWKT

  - ### asGML

    public static final IRI asGML

  - ### wktLiteral

    public static final IRI wktLiteral

  - ### gmlLiteral

    public static final IRI gmlLiteral

  - ### equals

    public static final IRI equals

  - ### within

    public static final IRI within

  - ### disjoint

    public static final IRI disjoint

  - ### contains

    public static final IRI contains

  - ### intersects

    public static final IRI intersects

- ## Constructor Details

  - ### Geosparql

    public Geosparql()